[Python-modules-commits] [more-itertools] 03/04: Update tests
Ethan Ward
ethanward-guest at moszumanska.debian.org
Mon Jul 31 17:56:30 UTC 2017
This is an automated email from the git hooks/post-receive script.
ethanward-guest pushed a commit to branch master
in repository more-itertools.
commit 58ce1fd72e51a7239bff3987af8cc3d88a4b5bcd
Author: Ethan Ward <ethan.ward at mycroft.ai>
Date: Fri Jul 28 14:30:29 2017 -0500
Update tests
---
debian/control | 4 ++--
debian/tests/control | 22 ++++++++++++++++++----
2 files changed, 20 insertions(+), 6 deletions(-)
diff --git a/debian/control b/debian/control
index fe8b8ab..8414191 100644
--- a/debian/control
+++ b/debian/control
@@ -30,7 +30,7 @@ XB-Python-Version: ${python:Versions}
Description: More routines for operating on iterables, beyond itertools. (Python 2)
Python's itertools library is a gem - you can compose elegant solutions
for a variety of problems with the functions it provides.
- In more-itertools, we collect additional building blocks, recipes,
+ More-itertools collects additional building blocks, recipes,
and routines for working with Python iterables.
.
This package contains the module for Python 2.
@@ -41,7 +41,7 @@ Depends: ${misc:Depends}, ${python3:Depends}
Description: More routines for operating on iterables, beyond itertools. (Python 3)
Python's itertools library is a gem - you can compose elegant solutions
for a variety of problems with the functions it provides.
- In more-itertools, we collect additional building blocks, recipes,
+ More-itertools collects additional building blocks, recipes,
and routines for working with Python iterables.
.
This package contains the module for Python 3.
diff --git a/debian/tests/control b/debian/tests/control
index 523a246..809ac71 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,6 +1,20 @@
-Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import more_itertools; print more_itertools" ; done
-Depends: python-all, python-more-itertools
+Test-Command: set -e
+ ; cp -r tests "$ADTTMP"
+ ; for py in $(pyversions -r 2>/dev/null)
+ ; do cd "$ADTTMP"
+ ; echo "Testing with $py:"
+ ; $py -m nose
+ ; done
+Depends: python-all,
+ python-more-itertools
-Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import more_itertools; print(more_itertools)" ; done
-Depends: python3-all, python3-more-itertools
+Test-Command: set -e
+ ; cp -r tests "$ADTTMP"
+ ; for py in $(py3versions -r 2>/dev/null)
+ ; do cd "$ADTTMP"
+ ; echo "Testing with $py:"
+ ; $py -m nose
+ ; done
+Depends: python3-all,
+ python3-more-itertools
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/more-itertools.git
More information about the Python-modules-commits
mailing list